Bug 218701 - security/softhsm2: Fix build with SQLITE3 storage backend
Summary: security/softhsm2: Fix build with SQLITE3 storage backend
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://reviews.freebsd.org/D11607
Keywords: needs-qa
Depends on: 220744
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-17 12:25 UTC by sergey
Modified: 2017-07-18 11:40 UTC (History)
2 users (show)

See Also:
jaap: maintainer-feedback+
dbaio: merge-quarterly+


Attachments
Fix sqlite support (1.18 KB, patch)
2017-04-17 12:25 UTC, sergey
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sergey 2017-04-17 12:25:25 UTC
Created attachment 181839 [details]
Fix sqlite support

Dependency on sqlite3 in this port is actually useless: configure option --with-objectstore-backend-db is required to actually use sqlite3. Without it port isn't built with sqlite.

Proposed patch fixes build and makes SQLITE usage optional.
Comment 1 jaap 2017-04-18 21:23:13 UTC
Yes, it looks like these thins are a left over from a previous version.

I agree with the patch.
Comment 2 Danilo G. Baio freebsd_committer 2017-07-15 14:25:38 UTC
Good catch
Comment 3 commit-hook freebsd_committer 2017-07-17 15:19:07 UTC
A commit references this bug:

Author: dbaio
Date: Mon Jul 17 15:18:37 UTC 2017
New revision: 446078
URL: https://svnweb.freebsd.org/changeset/ports/446078

Log:
  security/softhsm2: Update to 2.3.0, Fix build with SQLITE3 storage backend

  Disable support for GOST if openssl-devel is used

  Add option SQLITE (optional) to fix build with SQLITE3 storage backend [1]

  While here:
    Add LICENSE_FILE
    Add USES= ssl (Q/A warning)

  PR:		220744
  PR:		218701 [1]
  Submitted by:	jaap@NLnetLabs.nl (maintainer)
  Submitted by:	sergey@akhmatov.ru [1]
  Approved by:	garga (mentor)
  MFH:		2017Q3
  Differential Revision:	https://reviews.freebsd.org/D11607

Changes:
  head/security/softhsm2/Makefile
  head/security/softhsm2/distinfo
  head/security/softhsm2/files/
  head/security/softhsm2/files/patch-src_lib_object__store_DB.h
  head/security/softhsm2/pkg-plist
Comment 4 commit-hook freebsd_committer 2017-07-18 11:37:41 UTC
A commit references this bug:

Author: dbaio
Date: Tue Jul 18 11:37:28 UTC 2017
New revision: 446138
URL: https://svnweb.freebsd.org/changeset/ports/446138

Log:
  MFH: r446078 r446079

  security/softhsm2: Update to 2.3.0, Fix build with SQLITE3 storage backend

  Disable support for GOST if openssl-devel is used

  Add option SQLITE (optional) to fix build with SQLITE3 storage backend [1]

  While here:
    Add LICENSE_FILE
    Add USES= ssl (Q/A warning)

  PR:		220744
  PR:		218701 [1]
  Submitted by:	jaap@NLnetLabs.nl (maintainer)
  Submitted by:	sergey@akhmatov.ru [1]
  Approved by:	ports-secteam (junovitch), garga (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11607

Changes:
_U  branches/2017Q3/
  branches/2017Q3/security/softhsm2/Makefile
  branches/2017Q3/security/softhsm2/distinfo
  branches/2017Q3/security/softhsm2/files/
  branches/2017Q3/security/softhsm2/pkg-plist
Comment 5 Danilo G. Baio freebsd_committer 2017-07-18 11:40:57 UTC
Committed, thanks.